#!/bin/sh

APKG_PKG_DIR="${APKG_PKG_DIR:-/usr/local/AppCentral/NBR}"

if [ -e "$APKG_PKG_DIR/transporter" ]; then
    TRANSPORTER_ROOT="$APKG_PKG_DIR/transporter"
else
    TRANSPORTER_ROOT="$APKG_PKG_DIR"
fi

#force clean mount leftovers
MOUNTS=`ls -1 "$TRANSPORTER_ROOT/bh-mount"`
IFS='
'
for MOUNT in $MOUNTS; do
    umount -f "$TRANSPORTER_ROOT/bh-mount/$MOUNT"
done

[ -h "/usr/lib/vmware" ] && rm -f "/usr/lib/vmware"

exit 0
